Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.events
Interface MouseListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  AbstractRulerActionDelegate, AnnotationBarHoverManager.Closer, MouseAdapter, PaintManager

public interface MouseListener
extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide methods that deal with the events that are generated as mouse buttons are pressed.

After creating an instance of a class that implements this interface it can be added to a control using the `addMouseListener` method and removed using the `removeMouseListener` method. When a mouse button is pressed or released, the appropriate method will be invoked.

See Also:
  `MouseAdapter`, `MouseEvent`

Method Summary
`void` | `mouseDoubleClick(MouseEvent e)` Sent when a mouse button is pressed twice within the (operating system specified) double click period.
`void` | `mouseDown(MouseEvent e)` Sent when a mouse button is pressed.
`void` | `mouseUp(MouseEvent e)` Sent when a mouse button is released.

Method Detail

### mouseDoubleClick

    public void mouseDoubleClick(MouseEvent e)

  Sent when a mouse button is pressed twice within the (operating system specified) double click period.

  Parameters:
    `e` - an event containing information about the mouse double click
  See Also:
    `Display.getDoubleClickTime()`

### mouseDown

    public void mouseDown(MouseEvent e)

  Sent when a mouse button is pressed.

  Parameters:
    `e` - an event containing information about the mouse button press

### mouseUp

    public void mouseUp(MouseEvent e)

  Sent when a mouse button is released.

  Parameters:
    `e` - an event containing information about the mouse button release

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.